- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes

# FbxBindingsEntryView Class Reference

Search for all occurrences

## Detailed Description

FbxBindingsEntryView represents binding table entry in entry tables.

The name of the binding table can be used as source or destination for the binding entry.

See also:
  FbxBindingTableEntry and FbxBindingTable.

Definition at line 28 of file fbxbindingsentryview.h.

`#include <fbxbindingsentryview.h>`

Inheritance diagram for FbxBindingsEntryView:
[legend]

List of all members.

## Public Member Functions
| FbxBindingsEntryView (FbxBindingTableEntry *pEntry, bool pAsSource, bool pCreate=false)
| Constructor.
| ~FbxBindingsEntryView ()
| Destructor.
const char * | GetBindingTableName () const
| Get the binding table's name for the binding entry.
void | SetBindingTableName (const char *pName)
| Set the binding table's name for binding entry.
virtual const char * | EntryType () const
| Get the entry type.
## Static Public Attributes
static const char * | sEntryType
| Name of the entry type used in the binding entry.

## Constructor & Destructor Documentation

FbxBindingsEntryView | ( | FbxBindingTableEntry * | pEntry,
|  | bool | pAsSource,
|  | bool | pCreate = `false`
| ) |  |

Constructor.

Parameters:

  pEntry | The binding table entry to create the entry view for.
  pAsSource | `true` to create the entry view as source, `false` as destination.
  pCreate | `true` to create the entry view, `false` otherwise.

~FbxBindingsEntryView | ( |  | ) |

Destructor.

## Member Function Documentation

const char* GetBindingTableName | ( |  | ) | const

Search for all occurrences

Get the binding table's name for the binding entry.

Returns:
  The binding table's name.

void SetBindingTableName | ( | const char * | pName | ) |

Search for all occurrences

Set the binding table's name for binding entry.

Parameters:

  pName | The binding table's name to set.

virtual const char* EntryType | ( |  | ) | const `[virtual]`

Search for all occurrences

Get the entry type.

Returns:
  Entry type as string "FbxBindingsEntry".

Remarks:
  Always use EntryType() to get the right entry type.

Reimplemented from FbxEntryView.

## Member Data Documentation

const char* sEntryType `[static]`

Search for all occurrences

Name of the entry type used in the binding entry.

It should be "FbxBindingsEntry" in this case.

Reimplemented from FbxEntryView.

Definition at line 34 of file fbxbindingsentryview.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/shading/fbxbindingsentryview.h

FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView
FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView FbxBindingsEntryView